#!/bin/bash
#
OsirisCS1=1.5
OsirisCS2=1.4.1
EMU=OScam_1.20-svn7909.x86
case $1 in
install)
	if [ -f /usr/cs/osiris_version >>/dev/null 2>&1 ];
	then
		Version=$(grep 'Version:' /usr/cs/osiris_version | cut -d ':' -f2 )		
		echo -e "\t\033[1;37;40mInstallierte OsirisCS Version $Version \033[0m\n"
		sleep 2
	else
		echo -e "\t\033[1;37;40mBitte mindestens OsirisCS Version 1.4.1 installieren\033[0m\n"
		sleep 5
		exit 0
	fi
	if [ $Version != $OsirisCS1 ];
	then
		if [ $Version != $OsirisCS2 ];
		then
		echo -e "\n\t\033[1;31;40mOsirisCS Version $OsirisCS1 nicht installiert !!\033[0m"
		echo -e "\t\033[1;31;40mBitte OsirisCS Version $OsirisCS1 installieren !!\033[0m\n"
		exit 0
		fi
	fi
	if [ -f /var/bin/$EMU >>/dev/null 2>&1 ];
	then
		echo -e "\n\t\t\033[1;31;40m$EMU \033[1;37;40mbereits installiert\033[0m\n"
		exit 0
	fi
	echo -e "\n\t\t\033[1;37;40mInstalliere \033[1;32;40m$EMU\033[0m"
	chmod 755 oscam.conf
	chmod 755 oscam.server
	chmod 755 oscam.services
	chmod 755 oscam.srvid
	chmod 755 oscam.user
	chmod 755 OScam_1.20-svn7909.x86.rotate
	chmod 755 $EMU
	if [ -d /var/etc >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/var/etc \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir /var/etc
	fi
	if [ -d /var/etc/picon >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/var/etc/picon \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir /var/etc/picon/
	fi
	if [ -d /usr/cs/Cams/ >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/usr/cs/Cams/ \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir /usr/cs/Cams/
	fi
	if [ -d /var/bin >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/var/bin \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir /var/bin
	fi
	if [ -L /usr/local/etc >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/var/etc \033[1;37;40mbereits vorhanden\033[0m"
	else
		ln -s /var/etc /usr/local/etc
	fi
	if [ -f /var/etc/OsirisCS.css >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOScam-Theme \033[1;32;40m OsirisCS \033[1;37;40mbereits vorhanden\033[0m"
	else
                if [ -f /bin/osiris_theme >>/dev/null 2>&1 ];
		then 
			/bin/osiris_theme install OsirisCS
		else 
			wget http://athlon1900.dyndns.tv/OsirisCS/scripte/osiris_theme.sh
			chmod 755 osiris_theme.sh
			./osiris_theme.sh
			rm -f osiris_theme.sh
			/bin/osiris_theme install OsirisCS
		fi
	fi
	if [ -f /var/etc/oscam.conf >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/oscam.conf \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp oscam.conf /var/etc
	fi
	if [ -f /var/etc/oscam.server >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/oscam.server \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp oscam.server /var/etc
	fi
	if [ -f /var/etc/oscam.services >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/oscam.services \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp oscam.services /var/etc
	fi
	if [ -f /var/etc/oscam.srvid >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/oscam.srvid \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp oscam.srvid /var/etc
	fi
	if [ -f /var/etc/oscam.user >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/oscam.user \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp oscam.user /var/etc
	fi
	if [ -f /lib/libusb-1.0.so.0 >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m libusb-1.0.so.0 \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp libusb-1.0.so.0 /lib
	fi
	cp $EMU /var/bin
	cp OScam_1.20-svn7909.sh /usr/cs/Cams/
	cp OScam_1.20-svn7909.x86.rotate /usr/cs/Cams/
	sed "s/##Installierte EMUs/##Installierte EMUs\n#\t$EMU/" /usr/cs/cs.conf > /cs.conf
	cp /cs.conf  /usr/cs/cs.conf
	rm /cs.conf
	echo -e "\t\t\033[1;37;40mInstallation des \033[1;32;40m$EMU \033[1;37;40merfolgreich\033[0m\n"
	;;
uninstall)
	if [ -f /var/bin/$EMU >>/dev/null 2>&1 ];
	then
		echo -e "\n\t\t\033[1;37;40mDeinstalliere \033[1;32;40m$EMU\033[0m"
		rm -f /var/bin/$EMU
		rm -f /usr/cs/Cams/OScam_1.20-svn7909.sh
		rm -f /usr/cs/Cams/OScam_1.20-svn7909.x86.rotate
		sed -e "/#\t$EMU/"d /usr/cs/cs.conf > /cs.conf
		cp /cs.conf  /usr/cs/cs.conf
		rm /cs.conf
		echo -e "\t\t\033[1;37;40mDeinstallation des \033[1;32;40m$EMU \033[1;37;40merfolgreich\033[0m\n"
	else
		echo -e "\n\t\t\033[1;31;40m$EMU \033[1;37;40mnicht installiert\033[0m\n"
		exit 0
	fi
	;;
esac
exit 0
